kr.co.hanwha.hifive.screen.intro

## Class AuthNumberPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.intro.AuthNumberPresenter

- All Implemented Interfaces:
    BasePresenter, AuthNumberContract.Presenter

      public class AuthNumberPresenter
      extends java.lang.Object
      implements AuthNumberContract.Presenter

  Created by sanghoonkwon on 2018. 2. 7..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AuthNumberContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthNumberPresenter(AuthNumberContract.View view)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doUpdateAuthcode(java.lang.String authcode)` 간편 로그인 설정
    `private android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mView

          private AuthNumberContract.View mView

  - ### Constructor Detail

    - #### AuthNumberPresenter

          public AuthNumberPresenter(@NonNull
                                     AuthNumberContract.View view)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### doUpdateAuthcode

          public void doUpdateAuthcode(@NonNull
                                       java.lang.String authcode)

      Description copied from interface: `AuthNumberContract.Presenter`
      간편 로그인 설정
      Specified by:
        `doUpdateAuthcode` in interface `AuthNumberContract.Presenter`
      Parameters:
        `authcode` - 간편로그인 패스워드

    - #### getActivity

          private android.app.Activity getActivity()